import '../../../../../../food_delivery_client.dart';

class WBrowseItem extends StatelessWidget {
  const WBrowseItem({
    super.key,
  });

  @override
  Widget build(BuildContext context) {
    return Bounceable(
      onTap: () {},
      child: Ink(
        decoration: BoxDecoration(
          color: AppColors.cFFFFFF,
          borderRadius: AppUtils.kBorderRadius15,
        ),
        child: Column(
          children: [
            ClipRRect(
              borderRadius: AppUtils.kBorderRadiusTop15,
              child: CachedNetworkImage(
                imageUrl: AppLocaleKeys.foodImageUrl,
                width: context.w,
                height:120,
                fit: BoxFit.cover,
              ),
            ),
            Expanded(
              child: SizedBox(
                width: context.w,
                child: DecoratedBox(
                  decoration: BoxDecoration(
                    borderRadius: AppUtils.kBorderRadiusBottom15,
                    border: Border.all(
                      color: AppColors.cE8E8E8,
                      width: 1,
                    ),
                  ),
                  child: Align(
                    alignment: AlignmentGeometry.center,
                    child: Text(
                      "Restaurant",
                      textAlign: TextAlign.center,
                      style: AppTextStyles.size16Regular.copyWith(
                        height: 20 / 16,
                      ),
                    ).paddingSymmetric(horizontal: 30,vertical:5),
                  ),
                ),
              ),
            ),
          ],
        ),
      ),
    );
  }
}
